/*
 * Vienna
 * Build Date: December 2019/ January 2020
 * Author: NEIC3001
 */
 /* ------------------------------------- */
/*  TABLE OF CONTENTS
 /* ------------------------------------- */
/*   PRE LOADING                          */
/*   WOW                                  */
/*   SIDEBAR Menu                         */
/*   COUNTER JS                           */
/*   Portfolio Masonry                    */
/*   portfolio-filter                     */
/*   pop up                               */
/*   OWL CAROUSEL                         */



    /* ==============================================
/*  PRE LOADING
  =============================================== */
'use strict';
$(window).load(function() {
    $('.loader').delay(500).fadeOut('slow');
});


$(document).ready(function() {

    'use strict';
    /* ==============================================
     /*   wow
      =============================================== */
    var wow = new WOW(
        {
            animateClass: 'animated',
            offset: 10,
            mobile: true
        }
    );
    wow.init();

    /* ==============================================
      Sidebar show and hide
       =============================================== */
    $(".menu-btn").on('click',function(i){
        $("body").toggleClass("sidebar_closed");
    });


    /* --------------------------------------------------------
     COUNTER JS
     ----------------------------------------------------------- */

    $('.counter').counterUp({
        delay: 5,
        time: 3000
    });


    /* ==============================================
     portfolio-filter
     =============================================== */

    // filter items on button click

    var $grid = $('.grid').isotope({
        // set itemSelector so .grid-sizer is not used in layout
        itemSelector: '.grid-item',
        percentPosition: true,
        masonry: {
            // use element for option
            columnWidth: '.grid-sizer'
        }
    });

    $grid.imagesLoaded().progress( function() {
        $grid.isotope('layout');
    });
    $('#filtr-container').on( 'click', 'li', function(e) {
        e.preventDefault();
        $('#filtr-container li').removeClass('active');
        $(this).closest('li').addClass('active');
        var filterValue = $(this).attr('data-filter');
        $grid.isotope({ filter: filterValue });
    });

    /* ==============================================
     pop up
     =============================================== */

    // portfolio-pop up

    $('.img-container').magnificPopup({
        delegate: 'a',
        type: 'image',
        tLoading: 'Loading image #%curr%...',
        mainClass: 'mfp-img-mobile',
        gallery: {
            enabled: true,
            navigateByImgClick: true,
            preload: [0,1] // Will preload 0 - before current, and 1 after the current image
        },
        image: {
            tError: '<a href="%url%">The image #%curr%</a> could not be loaded.',
            titleSrc: function(item) {
                return item.el.attr('title');
            }
        },
        zoom: {
            enabled: true,
            duration: 300, // don't foget to change the duration also in CSS
            opener: function (element) {
                return element.find('img');
            }
        }
    });

    /* ==============================================
     OWL CAROUSEL
     =============================================== */
    $('.testimonial_carousel').slick({
        dots: true,
        autoplay: true,
        autoplaySpeed: 6500,
        arrows: false
    });


    /* ------------------------------------- */
    /* Animated progress bars
     /* ------------------------------------- */
    'use strict';

    var waypoints = $('.progress_container').waypoint(function() {
        $('.progress .progress-bar').progressbar({
            transition_delay: 1000
        });
    },{
        offset: '50%'
    });
});